digiKam Developer Documentation: Digikam::VersionsTreeView Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Digikam::VersionsTreeView Class Reference
Inheritance diagram for Digikam::VersionsTreeView:

## Public Member Functions
| VersionsTreeView (QWidget *const parent=nullptr)
| ~VersionsTreeView () override
void | addOverlay (ItemDelegateOverlay *overlay)
VersionsDelegate * | delegate () const
void | removeOverlay (ItemDelegateOverlay *overlay)
void | setToolTipEnabled (bool on)
Public Member Functions inherited from Digikam::DragDropViewImplementation
virtual void | copy ()
virtual void | cut ()
virtual void | paste ()

## Protected Member Functions
AbstractItemDragDropHandler * | dragDropHandler () const override
| You need to implement these three methods Returns the drag drop handler.
QModelIndex | mapIndexForDragDrop (const QModelIndex &index) const override
| Maps the given index of the view's model to an index of the handler's model, which can be a source model of the view's model.
void | mouseMoveEvent (QMouseEvent *event) override
QModelIndex | moveCursor (CursorAction cursorAction, Qt::KeyboardModifiers modifiers) override
void | paintEvent (QPaintEvent *e) override
QPixmap | pixmapForDrag (const QList< QModelIndex > &indexes) const override
| Creates a pixmap for dragging the given indexes.
virtual void | setDragDropHandler (AbstractItemDragDropHandler *handler)
bool | viewportEvent (QEvent *event) override
Protected Member Functions inherited from Digikam::DragDropViewImplementation
virtual QAbstractItemView * | asView ()=0
| This one is implemented by DECLARE_VIEW_DRAG_DROP_METHODS.
bool | decodeIsCutSelection (const QMimeData *mimeData)
void | dragEnterEvent (QDragEnterEvent *event)
| Implements the relevant QAbstractItemView methods for drag and drop.
void | dragMoveEvent (QDragMoveEvent *e)
void | dropEvent (QDropEvent *e)
void | encodeIsCutSelection (QMimeData *mime, bool isCutSelection)
void | startDrag (Qt::DropActions supportedActions)

## Protected Attributes
VersionsDelegate * | m_delegate = nullptr
AbstractItemDragDropHandler * | m_dragDropHandler = nullptr
bool | m_showToolTip = false
ToolTip * | m_toolTip = nullptr

## Constructor & Destructor Documentation

## ◆ ~VersionsTreeView()

Digikam::VersionsTreeView::~VersionsTreeView | ( |  | ) |
| override

Note
  All overlay management code in a sophisticated form can be studied in ItemCategorizedView

## Member Function Documentation

## ◆ dragDropHandler()

AbstractItemDragDropHandler * Digikam::VersionsTreeView::dragDropHandler | ( |  | ) | const
| overrideprotectedvirtual

Implements Digikam::DragDropViewImplementation.

## ◆ mapIndexForDragDrop()

QModelIndex Digikam::VersionsTreeView::mapIndexForDragDrop | ( | const QModelIndex & | index | ) | const
| overrideprotectedvirtual

Implements Digikam::DragDropViewImplementation.

## ◆ pixmapForDrag()

QPixmap Digikam::VersionsTreeView::pixmapForDrag | ( | const QList< QModelIndex > & | indexes | ) | const
| overrideprotectedvirtual

Implements Digikam::DragDropViewImplementation.